"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
function approximately(expected, delta) {
    return {
        compare(actual) {
            const min = expected instanceof Date ? new Date(expected.getTime() - delta) : expected - delta;
            const max = expected instanceof Date ? new Date(expected.getTime() + delta) : expected + delta;
            if (actual < min || actual > max) {
                return { pass: false, message: () => `${utils_1.toString(actual)} should be approximately ${utils_1.toString(expected)} ± ${delta}` };
            }
            return { pass: true, message: () => '' };
        },
    };
}
exports.default = approximately;
